Program Zad1;
Uses sysutils;
var
A2,B2,C2:int64;
A,B,C,ABC,ACB,CAB,CBA,BAC,BCA:string;
A1,B1,C1,ABC1,ACB1,CAB1,CBA1,BAC1,BCA1:int64;
Resenje:int64;
begin
read(A2,B2,C2);
A:=IntToStr(A2);
B:=IntToStr(B2);
C:=IntToStr(C2);
ABC:=(A+B+C);
ABC1:=StrToInt64(ABC);
ACB:=(A+C+B);
CAB:=(C+A+B);
CBA:=(C+B+A);
BAC:=(B+A+C);
BCA:=(B+C+A);
ACB1:=StrToInt64(ACB);
CAB1:=StrToInt64(CAB);
CBA1:=StrToInt64(CBA);
BAC1:=StrToInt64(BAC);
BCA1:=StrToInt64(BCA);
if ABC1>ACB1 then
begin
if ABC1>CAB1 then
if ABC1>CBA1 then
if ABC1> BAC1 then
if ABC1> BCA1 then
resenje:=ABC1;
end;
if ACB1>ABC1 then
begin
if ACB1>CBA1 then
if ACB1>CAB1 then
if ACB1>BAC1 then
if ACB1>BCA1 then
resenje:=ACB1;
end;
if CAB1>ABC1 then
begin
if CAB1>ACB1 then
if CAB1>CBA1 then
if CAB1>BAC1 then
if CAB1>BCA1 then
resenje:=CAB1;
end;
if CBA1>ABC1 then
begin
if CBA1> ACB1 then
if CBA1>CAB1 then
if CBA1>BAC1 then
if CBA1>BCA1 then
resenje:=CBA1;
end;
if BAC1>ABC1 then
begin
if BAC1>ACB1 then
if BAC1>CAB1 then
if BAC1>CBA1 then
if BAC1>BCA1 then
resenje:=BAC1;
end;
if BCA1>ABC1 then
begin
if BCA1>ACB1 then
if BCA1>CAB1 then
if BCA1>CBA1 then
if BCA1>BAC1 then
resenje:=BCA1;
end;
writeln(resenje);
end.